Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.management.beans
Class EndPointConfig

    java.lang.Object
      com.bea.dsp.management.beans.EndPointConfig

All Implemented Interfaces:
  Validatable, java.io.Serializable

    public final class EndPointConfig

extends java.lang.Object
implements java.io.Serializable, Validatable

See Also:
  Serialized Form

Nested Class Summary
`static class` | `EndPointConfig.EndPointType`

Method Summary
`int` | `getArity()`
`java.util.Set<java.lang.String>` | `getDependents()`
`EndPointName` | `getId()`
`java.lang.String` | `getName()`
`java.lang.String` | `getNewName()`
`EndPointConfig.EndPointType` | `getType()`
`void` | `setNewName(java.lang.String newName)`
`java.lang.String` | `toString()`
`void` | `validate()` Validates bean specific attributes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getId

    public EndPointName getId()

### getName

    public java.lang.String getName()

### getType

    public EndPointConfig.EndPointType getType()

### getArity

    public int getArity()

### getDependents

    public java.util.Set<java.lang.String> getDependents()

### getNewName

    public java.lang.String getNewName()

### setNewName

    public void setNewName(java.lang.String newName)
                    throws ValidationException

  Throws:
    `ValidationException`

### validate

    public void validate()
                  throws ValidationException

  Description copied from interface: `Validatable`
  Validates bean specific attributes.

  Specified by:
    `validate` in interface `Validatable`
  Throws:
    `ValidationException` - if the validation fails.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.